describe('InvoiceInDescriptor', () => {
    const dialogBtns = '.q-card__actions button';
    const firstDescritorOpt = '.q-menu > .q-list > :nth-child(1) > .q-item__section';
    const isBookedField =
        '.q-card:nth-child(3) .vn-label-value:nth-child(5) > .value > span';

    it('should booking and unbooking the invoice properly', () => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/1/summary?limit=10`);

        cy.openLeftMenu();
        cy.openActionsDescriptor();
        cy.get(firstDescritorOpt).click();
        cy.get(dialogBtns).eq(1).click();
        cy.get('.fullscreen').first().click();
        cy.get(isBookedField).should('have.attr', 'title', 'true');

        cy.openLeftMenu();
        cy.openActionsDescriptor();
        cy.get(firstDescritorOpt).click();
        cy.get(dialogBtns).eq(1).click();
        cy.get(isBookedField).should('have.attr', 'title', 'false');
    });
});
